Skip to:
Content
Pages
Categories
Search
Top
Bottom

Forum problems (still)

  • Avatar of photodesign
    photodesign
    Participant

    @photodesign

    Hi all,

    I got frustrated trying to get forums to work with 1.0.1 – never could. Followed all instructions in the Help topic numerous times. Every time I tried to post I would get a red bar error – “could not be posted.” So I waited for 1.2.

    I did a secondary install of 1.2 and all looked well with dummy data – forums and posting worked fine.

    Took the plunge and upgraded everything, activated the built in forums instead of my secondary bbpress install – had to manually upload bb-config, which was fine – but still when I try to create a post with my 1.0.1-upgraded to 1.2 install, I get the error: “There was an error when creating the topic”

    Very frustrating. Is there anything left over in my previous (nearly-working) integration that will be messing up this installation? Does the 1.0.1 – 1.2 upgrade purge the unneeded element from the previous install? I didn’t explicitly remove anything.

    Any ideas would be appreciated. I am trying to sort out persistent avatar issues as well, seemingly related to “ownership” of folders after a server move, but these forum issues were there before I moved the site (still on 1.0.1)

    Tx.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Avatar of r-a-y
    r-a-y
    Moderator

    @r-a-y

    You should upgrade to BP 1.1.3, before upgrading to BP 1.2.1.

    Read this:

    http://codex.buddypress.org/getting-started/upgrading-from-10x/

    Avatar of photodesign
    photodesign
    Participant

    @photodesign

    I left the actual upgrading to my programmer, but those were the exact instructions I provided. I don’t know for sure if that was done. Would this problem be related to the process?

    Avatar of zageek
    zageek
    Participant

    @zageek

    The upgrade from 1.x.x to 1.2 can break your theme, because previous themes are completely compatible with 1.2 What you try is installing the backwards compatibility plugin.

    I also had many issues when I went through this process. You could even try completely removing Buddypress plugin and then reinstalling it and reactivating it. (back up your themes first though)

    Avatar of photodesign
    photodesign
    Participant

    @photodesign

    I created my theme in a dummy installation of WPMU and BP from scratch, based on the 1.2 default theme. Once the main installation had been upgraded, I moved the new theme over and activated it. I don’t know why this would be a theme issue (???)

    Avatar of photodesign
    photodesign
    Participant

    @photodesign

    r-a-y, I just confirmed with my programmer that the upgrade path was indeed 1.0.1 — 1.1.3 — 1.2.1

    Avatar of photodesign
    photodesign
    Participant

    @photodesign

    I replaced the entire bp-forums folder from the package I upgraded with the bp-forums folder from a fresh 1.2.1 install and it fixed the problem. Folders were very different.

Viewing 6 replies - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.